"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const TagList_1 = __importDefault(require("../../../tag/list/TagList"));
const FilterComponent = (props) => {
    return (react_1.default.createElement(TagList_1.default, { addNewLabel: props.addNewFilterLabel, tags: [
            {
                content: "ID",
                operator: "=",
                subContent: "1",
            },
            {
                content: "Nama",
                operator: "contains",
                subContent: "Samuel",
            },
            {
                content: "Age",
                operator: ">",
                subContent: "17",
            },
        ] }));
};
const defaultProps = {
    addNewFilterLabel: "Add New Filter",
};
FilterComponent.defaultProps = defaultProps;
exports.default = FilterComponent;
