import { SortedFields } from "../../DataTable";
import { MasterFactory } from "../../../master/Master";
export interface Sorting {
    sortingDataResourceUrl: string;
    sortedFields: SortedFields;
    setSortedFields: (sortedFields: SortedFields) => void;
    setDataResourceUrl: (dataResourceUrl: string) => void;
    setMasterFactory: (masterFactory: MasterFactory) => void;
}
interface UseSortingConfig {
    currentSortedFields: SortedFields;
    sortQueryString: string;
    orderQueryString: string;
}
export declare const useSorting: (config?: Partial<UseSortingConfig>) => Sorting;
export {};
