import { ComponentType } from "react";
import { Field } from "./BaseField";
export interface Props {
    optionsResourceUrl: string;
    optionsPropertyPath: string;
    optionValuePropertyName: string;
    optionLabelPropertyName: string;
    interceptOptionsResourceResponse: (data: any[]) => any[];
}
interface ComponentProps {
    options?: {
        label: string;
        value: string;
    }[];
}
export declare const createRemoteLabelValueCollectionField: (InputFieldComponent: ComponentType<ComponentProps>, TableCellComponent: ComponentType<ComponentProps>) => Field<string, Partial<Props>>;
export {};
