"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const styled_components_1 = __importDefault(require("styled-components"));
const BaseField_1 = require("./BaseField");
const ReactQuill = typeof window !== "undefined" ? require("react-quill") : null;
const ReactQuillContainer = styled_components_1.default.div `
  .ql-container {
    min-height: 75px;
  }
`;
const MultilineTextField = BaseField_1.createField(props => {
    const onChange = react_1.useCallback((e) => props.onChange(e.target.value), []);
    return !props.useRichtext ? (react_1.default.createElement(react_bootstrap_1.Form.Control, { as: "textarea", autoComplete: props.inputAutoComplete ? "on" : "off", placeholder: props.inputPlaceholder, rows: 3, value: props.value, onChange: onChange })) : (ReactQuill && (react_1.default.createElement(ReactQuillContainer, null,
        react_1.default.createElement(ReactQuill, { theme: "snow", modules: {
                toolbar: [
                    ["bold", "italic", "underline", "strike", "blockquote"],
                    [{ list: "ordered" }, { list: "bullet" }, { indent: "-1" }, { indent: "+1" }],
                    ["link", "image"],
                    ["clean"],
                ],
            }, value: props.value, onChange: value => props.onChange(value) }))));
});
exports.default = MultilineTextField;
