"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const react_datepicker_1 = __importDefault(require("react-datepicker"));
const octicons_react_1 = require("@primer/octicons-react");
const date_fns_1 = require("date-fns");
const BaseField_1 = require("./BaseField");
const RangeDateField = BaseField_1.createField(props => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
    const onChangeMin = react_1.useCallback((value) => { var _a; return props.onChange({ min: value, max: (_a = props.value) === null || _a === void 0 ? void 0 : _a.max }); }, [
        props.value,
    ]);
    const onChangeMax = react_1.useCallback((value) => {
        var _a;
        props.onChange({ min: (_a = props.value) === null || _a === void 0 ? void 0 : _a.min, max: value });
    }, [props.value]);
    return (react_1.default.createElement(react_bootstrap_1.Row, null,
        react_1.default.createElement(react_bootstrap_1.Col, { md: 5 },
            react_1.default.createElement(react_datepicker_1.default, { wrapperClassName: "d-block", customInput: react_1.default.createElement(react_bootstrap_1.Form.Control, { type: "text", id: `${props.propertyName}-start` }), autoComplete: "off", dateFormat: props.format || "dd MMM yyyy", placeholderText: (_a = props.inputPlaceholder) === null || _a === void 0 ? void 0 : _a.min, selected: !((_b = props.value) === null || _b === void 0 ? void 0 : _b.min) || typeof ((_c = props.value) === null || _c === void 0 ? void 0 : _c.min) !== "string"
                    ? (_d = props.value) === null || _d === void 0 ? void 0 : _d.min : props.parseFormat
                    ? date_fns_1.parse((_e = props.value) === null || _e === void 0 ? void 0 : _e.min, props.parseFormat, null)
                    : date_fns_1.parseJSON((_f = props.value) === null || _f === void 0 ? void 0 : _f.min), onChange: onChangeMin, onChangeRaw: e => e.preventDefault() })),
        react_1.default.createElement(react_bootstrap_1.Col, { className: "text-center py-1", md: 2 },
            react_1.default.createElement("span", { className: "d-none d-md-inline" }, "-"),
            react_1.default.createElement("span", { className: "d-inline d-sm-none" },
                react_1.default.createElement(octicons_react_1.ArrowDownIcon, { verticalAlign: "middle", size: 16 }))),
        react_1.default.createElement(react_bootstrap_1.Col, { md: 5 },
            react_1.default.createElement(react_datepicker_1.default, { wrapperClassName: "d-block", customInput: react_1.default.createElement(react_bootstrap_1.Form.Control, { type: "text", id: `${props.propertyName}-end` }), autoComplete: "off", dateFormat: props.format || "dd MMM yyyy", placeholderText: (_g = props.inputPlaceholder) === null || _g === void 0 ? void 0 : _g.max, selected: !((_h = props.value) === null || _h === void 0 ? void 0 : _h.max) || typeof ((_j = props.value) === null || _j === void 0 ? void 0 : _j.max) !== "string"
                    ? (_k = props.value) === null || _k === void 0 ? void 0 : _k.max : props.parseFormat
                    ? date_fns_1.parse((_l = props.value) === null || _l === void 0 ? void 0 : _l.max, props.parseFormat, null)
                    : date_fns_1.parseJSON((_m = props.value) === null || _m === void 0 ? void 0 : _m.max), onChange: onChangeMax, onChangeRaw: e => e.preventDefault() }))));
}, props => {
    if (props.propertyName) {
        return (react_1.default.createElement(react_bootstrap_1.Badge, { variant: "secondary" },
            react_1.default.createElement(react_bootstrap_1.Badge, { variant: "light" }, date_fns_1.format(props.parseFormat
                ? date_fns_1.parse(props.datum[props.restPropertyName.min], props.parseFormat, null)
                : date_fns_1.parseJSON(props.datum[props.restPropertyName.min]), props.format || "dd MMM yyyy")),
            react_1.default.createElement("span", null, "-"),
            react_1.default.createElement(react_bootstrap_1.Badge, { variant: "light" }, date_fns_1.format(props.parseFormat
                ? date_fns_1.parse(props.datum[props.restPropertyName.max], props.parseFormat, null)
                : date_fns_1.parseJSON(props.datum[props.restPropertyName.max]), props.format || "dd MMM yyyy"))));
    }
    return null;
});
exports.default = RangeDateField;
