"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const octicons_react_1 = require("@primer/octicons-react");
const BaseField_1 = require("./BaseField");
const RangeNumberField = BaseField_1.createField(props => {
    var _a, _b, _c, _d;
    const onChangeMin = react_1.useCallback((e) => { var _a; return props.onChange({ min: e.target.valueAsNumber, max: (_a = props.value) === null || _a === void 0 ? void 0 : _a.max }); }, [props.value]);
    const onChangeMax = react_1.useCallback((e) => {
        var _a;
        props.onChange({ min: (_a = props.value) === null || _a === void 0 ? void 0 : _a.min, max: e.target.valueAsNumber });
    }, [props.value]);
    return (react_1.default.createElement(react_bootstrap_1.Row, null,
        react_1.default.createElement(react_bootstrap_1.Col, { md: 5 },
            react_1.default.createElement(react_bootstrap_1.Form.Control, { type: "number", id: `${props.propertyName}-start`, autoComplete: props.inputAutoComplete ? "on" : "off", placeholder: (_a = props.inputPlaceholder) === null || _a === void 0 ? void 0 : _a.min, value: (_b = props.value) === null || _b === void 0 ? void 0 : _b.min, onChange: onChangeMin })),
        react_1.default.createElement(react_bootstrap_1.Col, { className: "text-center py-1", md: 2 },
            react_1.default.createElement("span", { className: "d-none d-md-inline" }, "-"),
            react_1.default.createElement("span", { className: "d-inline d-sm-none" },
                react_1.default.createElement(octicons_react_1.ArrowDownIcon, { verticalAlign: "middle", size: 16 }))),
        react_1.default.createElement(react_bootstrap_1.Col, { md: 5 },
            react_1.default.createElement(react_bootstrap_1.Form.Control, { type: "number", id: `${props.propertyName}-end`, autoComplete: props.inputAutoComplete ? "on" : "off", placeholder: (_c = props.inputPlaceholder) === null || _c === void 0 ? void 0 : _c.max, value: (_d = props.value) === null || _d === void 0 ? void 0 : _d.max, onChange: onChangeMax }))));
}, props => {
    if (props.propertyName) {
        return (react_1.default.createElement(react_bootstrap_1.Badge, { variant: "secondary" },
            react_1.default.createElement(react_bootstrap_1.Badge, { variant: "light" }, props.datum[props.restPropertyName.min]),
            react_1.default.createElement("span", null, "-"),
            react_1.default.createElement(react_bootstrap_1.Badge, { variant: "light" }, props.datum[props.restPropertyName.max])));
    }
    return null;
});
exports.default = RangeNumberField;
