/// <reference types="react" />
import { InputFieldProps, TableCellProps } from "./BaseField";
interface Props {
    options?: {
        value: string;
        label: string;
    }[];
}
export declare const InputFieldComponent: (props: InputFieldProps<string, string, string> & Props) => JSX.Element;
export declare const TableCellComponent: (props: TableCellProps<string> & Props) => JSX.Element;
declare const SelectField: import("./BaseField").Field<string, Props, string, string>;
export default SelectField;
