import React, { ReactNode } from "react";
interface Props {
    size: "sm" | "lg" | "xl";
    title: string;
    children: ReactNode;
    onHide: () => void;
}
export interface ModalContainerRef {
    show: () => void;
    hide: () => void;
}
declare const ModalContainerWithRef: React.ForwardRefExoticComponent<Partial<Props> & React.RefAttributes<ModalContainerRef>>;
export default ModalContainerWithRef;
