"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const octicons_react_1 = require("@primer/octicons-react");
const Tag_1 = __importDefault(require("../Tag"));
const TagList = (props) => {
    return (react_1.default.createElement("div", { className: "mb-3" },
        react_1.default.createElement(react_bootstrap_1.Button, { variant: "link", onClick: props.onAddNewButtonClick },
            react_1.default.createElement(octicons_react_1.PlusCircleIcon, { className: "mr-2", verticalAlign: "middle", size: 16 }),
            props.addNewLabel),
        props.tags.map((tag, index) => (react_1.default.createElement(Tag_1.default, Object.assign({ key: index }, tag))))));
};
const defaultProps = {
    tags: [],
    addNewLabel: "Add New",
    onAddNewButtonClick: () => { },
};
TagList.defaultProps = defaultProps;
exports.default = TagList;
