"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.throwRemoteResponseError = void 0;
exports.throwRemoteResponseError = (propertyPathName, propertyPathValue, foundResponseData, shouldBeAnArray = true) => {
    throw new Error(`Response data must be an ${shouldBeAnArray ? "array" : "object"} or use "${propertyPathName}" property to define property path. Found: "${typeof foundResponseData}", data property path: "${propertyPathValue}".`);
};
