"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableCellComponent = exports.InputFieldComponent = void 0;
const react_1 = __importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const BaseField_1 = require("./BaseField");
exports.InputFieldComponent = (props) => {
    var _a;
    const onChange = react_1.useCallback((e) => {
        if (e.target.checked) {
            props.onChange(e.target.value);
        }
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null, (_a = props.options) === null || _a === void 0 ? void 0 : _a.map(({ value, label }, index) => (react_1.default.createElement(react_bootstrap_1.Form.Check, { key: index, type: "radio", id: `${props.propertyName}.${value}`, name: props.propertyName, label: label, value: value, checked: value === props.value, onChange: onChange })))));
};
exports.TableCellComponent = (props) => {
    var _a, _b;
    return (react_1.default.createElement(react_1.default.Fragment, null, (_b = (_a = props.options) === null || _a === void 0 ? void 0 : _a.find(({ value }) => value === props.datum[props.restPropertyName || props.propertyName])) === null || _b === void 0 ? void 0 : _b.label));
};
const RadioField = BaseField_1.createField(exports.InputFieldComponent, exports.TableCellComponent);
exports.default = RadioField;
