"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableCellComponent = exports.InputFieldComponent = void 0;
const react_1 = __importStar(require("react"));
const react_select_1 = __importDefault(require("react-select"));
const BaseField_1 = require("./BaseField");
exports.InputFieldComponent = (props) => {
    var _a;
    const onChange = react_1.useCallback(({ value }) => props.onChange(value), []);
    return (react_1.default.createElement(react_select_1.default, { options: props.options, placeholder: props.inputPlaceholder, value: (_a = props.options) === null || _a === void 0 ? void 0 : _a.find(({ value }) => value === props.value), onChange: onChange }));
};
exports.TableCellComponent = (props) => {
    var _a, _b;
    return (react_1.default.createElement(react_1.default.Fragment, null, (_b = (_a = props.options) === null || _a === void 0 ? void 0 : _a.find(({ value }) => value === props.datum[props.restPropertyName || props.propertyName])) === null || _b === void 0 ? void 0 : _b.label));
};
const SelectField = BaseField_1.createField(exports.InputFieldComponent, exports.TableCellComponent);
exports.default = SelectField;
