"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const Message = (_, ref) => {
    const [content, setContent] = react_1.useState();
    const [isVisible, setVisible] = react_1.useState(false);
    react_1.useImperativeHandle(ref, () => ({
        show: content => {
            setContent(content);
            setVisible(true);
            setTimeout(() => {
                setVisible(false);
            }, 3000);
        },
        hide: () => setVisible(false),
    }));
    return (react_1.default.createElement(react_bootstrap_1.Toast, { className: "fixed-bottom mx-auto mb-5", style: { zIndex: 9999 }, show: isVisible, animation: true },
        react_1.default.createElement(react_bootstrap_1.Toast.Body, { className: `text-center ${(content === null || content === void 0 ? void 0 : content.type.toLowerCase()) === "success" ? "bg-success" : "bg-danger"} text-white` }, content === null || content === void 0 ? void 0 : content.content)));
};
exports.default = react_1.forwardRef(Message);
