import React from "react";
interface Options {
    title: string;
    message: string;
    yesLabel: string;
    noLabel: string;
    type: "primary" | "danger";
    onYesButtonClick: () => void;
    onNoButtonClick: () => void;
}
export interface ConfirmRef {
    show: (options: Partial<Options>) => void;
    hide: () => void;
}
declare const _default: React.ForwardRefExoticComponent<React.RefAttributes<ConfirmRef>>;
export default _default;
