"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const ModalContainer_1 = __importDefault(require("../ModalContainer"));
const react_bootstrap_1 = require("react-bootstrap");
const Confirm = (_, ref) => {
    const [options, setOptions] = react_1.useState();
    const modal = react_1.useRef();
    const onYes = react_1.useCallback(() => {
        if (options === null || options === void 0 ? void 0 : options.onYesButtonClick) {
            options === null || options === void 0 ? void 0 : options.onYesButtonClick();
        }
        modal.current.hide();
    }, [options === null || options === void 0 ? void 0 : options.onYesButtonClick]);
    const onNo = react_1.useCallback(() => {
        if (options === null || options === void 0 ? void 0 : options.onNoButtonClick) {
            options === null || options === void 0 ? void 0 : options.onNoButtonClick();
        }
        modal.current.hide();
    }, [options === null || options === void 0 ? void 0 : options.onNoButtonClick]);
    react_1.useImperativeHandle(ref, () => ({
        show: options => {
            setOptions(options);
            modal.current.show();
        },
        hide: () => modal.current.hide(),
    }));
    return (react_1.default.createElement(ModalContainer_1.default, { ref: modal, title: options === null || options === void 0 ? void 0 : options.title }, options === null || options === void 0 ? void 0 :
        options.message,
        react_1.default.createElement(react_bootstrap_1.Row, { className: "mt-3" },
            react_1.default.createElement(react_bootstrap_1.Col, { xs: 6 },
                react_1.default.createElement(react_bootstrap_1.Button, { variant: (options === null || options === void 0 ? void 0 : options.type) === "primary" ? "outline-primary" : "outline-danger", block: true, onClick: onNo }, (options === null || options === void 0 ? void 0 : options.noLabel) || "No")),
            react_1.default.createElement(react_bootstrap_1.Col, { xs: 6 },
                react_1.default.createElement(react_bootstrap_1.Button, { variant: (options === null || options === void 0 ? void 0 : options.type) || "primary", block: true, onClick: onYes }, (options === null || options === void 0 ? void 0 : options.yesLabel) || "Yes")))));
};
exports.default = react_1.forwardRef(Confirm);
